package com.template.services;

import com.template.model.pojo.SmartAttendance;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.pojo.SmartVisitor;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 楼栋表 服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-12-25
 */
public interface SmartAttendanceService extends IService<SmartAttendance> {
    List<SmartAttendance> queryAttendances(String startDate,String endDate);

    List<SmartAttendance> queryExistAttendances(String startDate, String endDate);

    boolean insertAttendanceBatch(List<SmartAttendance> attendances);

    List<SmartAttendance> queryAttendanceList(Date startMonth, Date endMonth);
}
